> ## Name

> cgIsProgram - determine if a program handle references a program object

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsProgram( CGprogram program );

> ## Parameters

> program
>   The program handle to check.

> ## Return Values

> Returns CG_TRUE if program references a valid program object.

> Returns CG_FALSE otherwise.

> ## Description

> cgIsProgram return CG_TRUE if program references a valid program object. Note that this does not imply that the program has been successfully compiled.

> ## Examples

>     char *programSource = ...;
>     CGcontext context = cgCreateContext();
>     CGprogram program = cgCreateProgram( context,
>                                          CG_SOURCE,
>                                          programSource,
>                                          CG_PROFILE_ARBVP1,
>                                          "myshader",
>                                          NULL );
>     CGbool isProgram = cgIsProgram( program );

> ## Errors

> None.

> ## History

> cgIsProgram was introduced in Cg 1.1.

> ## See Also

> cgCreateProgram, cgDestroyProgram, cgGetNextProgram